> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user

> When sendInvitation=true, an invitation email is sent to the user and the password field is ignored. When sendInvitation=false (default), a welcome email is sent and the password field is used if provided.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v3/users
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/users:
    post:
      tags:
        - User
      summary: Create user
      description: >-
        When sendInvitation=true, an invitation email is sent to the user and
        the password field is ignored. When sendInvitation=false (default), a
        welcome email is sent and the password field is used if provided.
      operationId: createUserV3
      parameters:
        - name: sendInvitation
          in: query
          description: When true, sends an invitation email; password field is ignored
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AbstractUserCreateDtoV3'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDetailsDtoV3'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    AbstractUserCreateDtoV3:
      type: object
      required:
        - email
        - firstName
        - lastName
        - role
        - timezone
        - userName
      discriminator:
        propertyName: role
      properties:
        active:
          type: boolean
          description: When false, the user account is created but immediately deactivated
        email:
          type: string
          description: Email address
          minLength: 0
          maxLength: 255
        firstName:
          type: string
          description: First name
          minLength: 0
          maxLength: 255
        lastName:
          type: string
          description: Last name
          minLength: 0
          maxLength: 255
        note:
          type: string
          description: Internal note about the user; max 4096 characters
          minLength: 0
          maxLength: 4096
        password:
          type: string
          description: Initial password; ignored when sendInvitation=true
          minLength: 0
          maxLength: 255
        receiveNewsletter:
          type: boolean
          description: When true, the user receives newsletter emails
        role:
          type: string
          description: User role
          enum:
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
        timezone:
          type: string
          description: IANA timezone identifier, e.g. Europe/Berlin
          minLength: 0
          maxLength: 255
        userName:
          type: string
          description: Username (login name)
          minLength: 0
          maxLength: 255
    UserDetailsDtoV3:
      type: object
      required:
        - email
        - firstName
        - id
        - lastName
        - role
        - timezone
        - uid
        - userName
      discriminator:
        propertyName: role
      properties:
        active:
          type: boolean
          description: When false, the user account is deactivated
        assignableRoles:
          type: array
          description: Roles that the calling user may assign to this user
          items:
            type: string
        createdBy:
          $ref: '#/components/schemas/UserReferenceV3'
        credentialsReadonly:
          type: boolean
          description: When true, the user credentials are read-only due to SSO
        dateCreated:
          type: string
          format: date-time
          description: Date the user account was created
        dateDeleted:
          type: string
          format: date-time
          description: Date the user account was deleted; null if the account is active
        editorVersion:
          type: string
          description: Preferred editor version for the user
        email:
          type: string
          description: Email address
          minLength: 0
          maxLength: 255
        firstName:
          type: string
          description: First name
          minLength: 0
          maxLength: 255
        id:
          type: integer
          format: int64
          description: Internal numeric ID
        jobsInProgress:
          type: integer
          format: int32
          description: Number of jobs currently in progress for this user
        lastLogin:
          type: string
          format: date-time
          description: Date and time of the user's last successful login
        lastName:
          type: string
          description: Last name
          minLength: 0
          maxLength: 255
        note:
          type: string
          description: Internal note about the user
          minLength: 0
          maxLength: 4096
        pendingEmailChange:
          type: boolean
          description: When true, the user has a pending email change
        receiveNewsletter:
          type: boolean
          description: When true, the user receives newsletter emails
        role:
          type: string
          description: User role
          enum:
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
        timezone:
          type: string
          description: IANA timezone identifier
          minLength: 0
          maxLength: 255
        twoFactorAuthEnabled:
          type: boolean
          description: When true, the user has two-factor authentication configured
        uid:
          type: string
          description: Unique identifier (UID)
          minLength: 0
          maxLength: 255
        userName:
          type: string
          description: Username (login name)
          minLength: 0
          maxLength: 255
      description: User with all belonging objects
    UserReferenceV3:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        userName:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````